05-13-18 09:19 PM
3,558 ... 7071727374 ...
tools
  1. petertinh's Avatar
    I cant download v1.2.1 for BlackBerry. Can you invite me?
    04-01-14 03:57 PM
  2. ralfyguy's Avatar
    I cant download v1.2.1 for BlackBerry. Can you invite me?
    Same here...
    04-01-14 05:23 PM
  3. xsacha's Avatar
    Linux versions available at all for 1.2.x?

    Debian multiarch would be perfect

    Z10 until Z30
    Yes Linux is the first version I make. 1.2.0 and 1.2.1 are available for Linux 64-bit. Muti-arch is more difficult as I need to get several libraries/dependencies for a system that I don't run.

    I cant download v1.2.1 for BlackBerry. Can you invite me?
    Fixed.
    petertinh likes this.
    04-01-14 06:06 PM
  4. Omnitech's Avatar
    A taste of what is to come:

    Automatic scanner, downloader and link creator of files that exist on server, even if they aren't whitelisted by any carrier.

    Edit: And 1.2.0 is out.

    First off, thanks a million times for the generator function.

    I'm not seeing either those extra tabs depicted in that screenshot or the "generator function" thurask refers-to.

    Are those Linux-specific features?
    04-01-14 09:07 PM
  5. thurask's Avatar
    I'm not seeing either those extra tabs depicted in that screenshot or the "generator function" thurask refers-to.

    Are those Linux-specific features?
    Not sure about the other tabs, but for the generator, Version lookup > *any valid SW version * > Lookup > Grab Links
    04-01-14 09:28 PM
  6. Omnitech's Avatar
    Not sure about the other tabs, but for the generator, Version lookup > *any valid SW version * > Lookup > Grab Links
    Aha, thanks.

    BTW, has anyone tried the Delta search? Looks like a handy feature but I think xsacha suggested it might be unreliable.
    04-01-14 09:56 PM
  7. xsacha's Avatar
    Aha, thanks.

    BTW, has anyone tried the Delta search? Looks like a handy feature but I think xsacha suggested it might be unreliable.
    Deltas are only available from some OS to some other OS and can't be pre-determined other than checking if each link works.
    I can generate delta links too but decided against it.

    The delta search button I had in 1.1.2 was for looking for deltas in search results from the *currently connected phone*, as the normal phone update procedure does. This seemed to only lead to confusion. Also, the occurrence of actual deltas from current OS/phone combo were surprisingly low. It also didn't work if you had a mismatched radio. So I cancelled it.
    04-01-14 10:34 PM
  8. Omnitech's Avatar
    Deltas are only available from some OS to some other OS and can't be pre-determined other than checking if each link works.
    I can generate delta links too but decided against it.

    The delta search button I had in 1.1.2 was for looking for deltas in search results from the *currently connected phone*, as the normal phone update procedure does. This seemed to only lead to confusion. Also, the occurrence of actual deltas from current OS/phone combo were surprisingly low. It also didn't work if you had a mismatched radio. So I cancelled it.

    Removed the feature? Because when I have a device connected to either 1.1.5 or 1.2.1, I still get that tickbox.


    Sachesi: Firmware Extractor, Searcher and Installer-sachesi_1-2-1_delta_tickbox.png
    04-01-14 10:52 PM
  9. Omnitech's Avatar
    Hmm, I guess it's a "placebo" because it doesn't seem to do anything.
    04-01-14 10:58 PM
  10. xsacha's Avatar
    Hmm, I guess it's a "placebo" because it doesn't seem to do anything.
    Oh, I accidently kept the box there.
    Yes, that won't do anything sorry.
    04-01-14 11:09 PM
  11. basharalshamma's Avatar
    xsacha,

    Using 'version lookup' of 1.2.1, I was able to find 10.2.1.2802 (OS 10.2.1.2983) but the download option is not working. 'Grab links' generates the links but they don't work either. Any ideas?
    04-01-14 11:36 PM
  12. zocster's Avatar
    xsacha,

    Using 'version lookup' of 1.2.1, I was able to find 10.2.1.2802 (OS 10.2.1.2983) but the download option is not working. 'Grab links' generates the links but they don't work either. Any ideas?
    You need to be employees of BBRY to be able to access those...
    basharalshamma likes this.
    04-02-14 12:01 AM
  13. xsacha's Avatar
    xsacha,

    Using 'version lookup' of 1.2.1, I was able to find 10.2.1.2802 (OS 10.2.1.2983) but the download option is not working. 'Grab links' generates the links but they don't work either. Any ideas?
    Yes, that means the OS and Radio 'exist' but the file isn't on their server for some reason.

    Remember that not all the OS and Radio combinations are available for every release. For example, the current latest 10.2.1 is only available for Z3, so the only radio you can get is the Z3 radio.

    For example, 2983 might be a Verizon or AT&T release (which aren't displayed in my generated links).
    basharalshamma likes this.
    04-02-14 05:29 AM
  14. ralfyguy's Avatar
    Yes, that means the OS and Radio 'exist' but the file isn't on their server for some reason.

    Remember that not all the OS and Radio combinations are available for every release. For example, the current latest 10.2.1 is only available for Z3, so the only radio you can get is the Z3 radio.

    For example, 2983 might be a Verizon or AT&T release (which aren't displayed in my generated links).
    ...AT&T release...LOLOL...that was a good one LOL

    Posted via CB10
    Omnitech and saxxman like this.
    04-02-14 07:46 AM
  15. dustmalik's Avatar
    Great work, xsacha. Well done.

    Posted via CB10 using my Gorgeous Z10
    04-02-14 08:53 AM
  16. Foppa_21's Avatar
    When I do search > version lookup, how come I don't see "download" and "grab links?" I only have "close."

    Sachesi: Firmware Extractor, Searcher and Installer-sachesi.png

    Posted from my Z10 via CB10
    04-02-14 10:46 AM
  17. thurask's Avatar
    When I do search > version lookup, how come I don't see "download" and "grab links?" I only have "close."

    Posted from my Z10 via CB10
    You need to be on 1.2.0 or higher.
    04-02-14 11:13 AM
  18. Foppa_21's Avatar
    Doh! Um.. excuses for not knowing that... umm.. errr. the sun was in my eyes!
    04-02-14 12:34 PM
  19. Likendor's Avatar
    Here we go, Sachesi 1.1.6. A newer version number with older code.
    All the libraries have been downgraded, opengl support removed for slower graphics rendering, older openssl for weaker key encryption, newer compiler dropped for slower executing and longer compile times.

    https://drive.google.com/file/d/0B5U...WFYNmlJRXNuVTQ
    "Seach" and "Version" lookup buttons now work fine in 1.1.6, but still doesn't see the BB device - just searching for it infinitely.

    So, for me now the situation is as follows:

    v1.0 = works fine at all (search, lookup & device detection).
    v1.1.0-1.1.2 = unknown (doesn't have any of these). If someone shares any of these versions I could check.
    v1.1.3 = search and lookup works fine, but doesn't see the device.
    v1.1.4-1.1.5.1 = doesn't work at all (crashes on searching, lookuping & doesn't see the device)
    v1.1.6 = search and lookup works fine, but doesn't see the device.
    04-02-14 01:30 PM
  20. Ragbert's Avatar
    Thanks for your reply, Omnitech. It's clear to me it's a permissions problem also. Yes, I'm absolutely sure I am running as Adminstrator (right-click .exe file, "Run as Adminstrator"). I did get prompted to allow installation on this machine and I said Yes. There are no other user accounts on this machine except mine - the Guest account is disabled. I am listed as Adminstrator and in the Adminstrators group.

    I tried the links you gave me. The Microsoft "Fix" page found nothing to fix. Also, I scan my machine for viruses & malware regularly, and nothing has been found. I tried disabling my AV programs (I have Avast and MS Security Essentials) before attempting to install Visual C++ and it made no difference.

    I have not received this "access denied" error on any Windows Updates either - only on a manual install of Visual C++ 2012. My Control Panel shows that I already have several older versions of visual C++ from 2005, 2008, and 2010. I'm not sure which applications use them, but I was afraid to uninstall them for fear of something else suddenly not working. It appears that I am not alone with this error either, but haven't seen a surefire solution for it yet.

    Meanwhile, while I was busy doing other non-Crackberry things (da noive!) I see that xsacha has released a version of Sachesi compiled on an older compiler, for which I am very grateful. I'm going to download that and see if it will run on this Win7 x64 desktop PC.

    For what it's worth, my 4 yr old laptop still runs XP happily, and I'm not sure it will handle Windows 7. I will put more RAM in it and see, but I may have to stick with XP (which I happen to like but oh well) on it, and throw Sachesi 1.1.3 on it as well. It's a really nice ThinkPad and I don't want to get rid of it just because MS is trying to force upgrades to Win 7 and 8.

    Anyway, thank you very much for your helpful suggestions - I'll post again if I can get the latest Sachesi to work in Win 7.

    This looks like a permissions problem. Did you disable User Access Control on that machine? Are you SURE you are running as admin? Because even if you are running as admin you will get prompted for access with various system tasks like software installation.

    Apparently Error 0x80070005 is a permission denied error, and it looks like it does not have permission to write to the file path that the installer needs to use.

    Another thing that could be getting in the way are security/antivirus/firewall utilities.

    Here are some discussions about people having similiar issues:

    Error: The VC++ runtime redistributable package was not installed successfully. Setup cannot contin... - Page 3 - Answer HQ
    Mailing list for questions/discussion about the Windows Installer XML toolset.
    [SOLVED] Can't Install BF4 VC++ Errors

    Apparently Microsoft thinks that this is commonly caused by malware:

    Error 0x80070005 in Windows Update when you try to install updates

    There is a "Fix It" tool from Microsoft that might come in handy:

    Fix problems that programs cannot be installed or uninstalled
    04-02-14 08:04 PM
  21. Ragbert's Avatar
    Hooray! Thank you for this! I was unable to install Visual C++ v. 2012 on my Win7 x64 Desktop, but this version of Sachesi works perfectly without it. Much appreciated.

    Here we go, Sachesi 1.1.6. A newer version number with older code.
    All the libraries have been downgraded, opengl support removed for slower graphics rendering, older openssl for weaker key encryption, newer compiler dropped for slower executing and longer compile times.

    https://drive.google.com/file/d/0B5U...WFYNmlJRXNuVTQ
    Omnitech likes this.
    04-02-14 08:22 PM
  22. Ragbert's Avatar
    More good news: Sachesi version 1.2.1 runs perfectly here as well. I can't thank you enough for all the effort that you have put into this tool, xsacha. :-)
    Omnitech likes this.
    04-02-14 08:46 PM
  23. ettorwe's Avatar
    Any new version for mac?
    meagnostic and ralphlauren27 like this.
    04-03-14 02:57 AM
  24. nickvaron's Avatar
    Hi everyone
    i could really appreciate some help here ..
    I bought aQ10 from U.S , International Unlocked , originally is an AT&T device ..
    The thing is i tried all the possible ways to update my 0S including Sachesi
    and nothing is working ...
    04-03-14 09:06 AM
  25. eybee1970's Avatar
    Hi everyone
    i could really appreciate some help here ..
    I bought aQ10 from U.S , International Unlocked , originally is an AT&T device ..
    The thing is i tried all the possible ways to update my 0S including Sachesi
    and nothing is working ...
    you have to be a little more precise.....what's not working? Download via Sachesi? Installing the OS? Did you have a look inside here http://forums.crackberry.com/bb10-le...nloads-920390/ for putting in the right stuff for your Q10 depending on the OS you want to install?
    04-03-14 09:15 AM
3,558 ... 7071727374 ...

Similar Threads

  1. Replies: 41
    Last Post: 01-09-16, 11:03 AM
  2. Q10 shows "4G" and Z10 shows "4GLTE"
    By BGQ10 in forum BlackBerry Q10
    Replies: 22
    Last Post: 01-20-14, 10:31 AM
  3. BlackBerry needs to get BB10 in cars, and fast!
    By BlackBerry_Pwner in forum General BlackBerry Discussion
    Replies: 19
    Last Post: 09-17-13, 09:26 AM
  4. Suggestion: BBM Forum for x-platform BBM software and features
    By lorax1284 in forum Site Feedback & Help
    Replies: 2
    Last Post: 07-05-13, 06:01 PM
  5. July 9th Blackberry Webcast What do you expect and What do you want to hear?
    By Wilsonia Goldens in forum General BlackBerry Discussion
    Replies: 4
    Last Post: 07-04-13, 08:38 AM
LINK TO POST COPIED TO CLIPBOARD